# Uses of Interface
org.springframework.beans.factory.aot.BeanRegistrationAotContribution

Packages that use BeanRegistrationAotContribution
Package
Description
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.
org.springframework.beans.factory.aot
AOT support for bean factories.

## Uses of BeanRegistrationAotContribution in org.springframework.beans.factory.annotation

Methods in org.springframework.beans.factory.annotation that return BeanRegistrationAotContribution
Modifier and Type
Method
Description
`BeanRegistrationAotContribution`
AutowiredAnnotationBeanPostProcessor.`processAheadOfTime(RegisteredBean registeredBean)`
`BeanRegistrationAotContribution`
InitDestroyAnnotationBeanPostProcessor.`processAheadOfTime(RegisteredBean registeredBean)`

## Uses of BeanRegistrationAotContribution in org.springframework.beans.factory.aot

Methods in org.springframework.beans.factory.aot that return BeanRegistrationAotContribution
Modifier and Type
Method
Description
`static BeanRegistrationAotContribution`
BeanRegistrationAotContribution.`concat(BeanRegistrationAotContribution a, BeanRegistrationAotContribution b)`
Create a contribution that applies the contribution of the first contribution followed by the second contribution.
`BeanRegistrationAotContribution`
BeanRegistrationAotProcessor.`processAheadOfTime(RegisteredBean registeredBean)`
Process the given `RegisteredBean` instance ahead-of-time and return a contribution or `null`.
`static BeanRegistrationAotContribution`
BeanRegistrationAotContribution.`withCustomCodeFragments(UnaryOperator<BeanRegistrationCodeFragments> defaultCodeFragments)`
Create a `BeanRegistrationAotContribution` that customizes the `BeanRegistrationCodeFragments`.
Methods in org.springframework.beans.factory.aot with parameters of type BeanRegistrationAotContribution
Modifier and Type
Method
Description
`static BeanRegistrationAotContribution`
BeanRegistrationAotContribution.`concat(BeanRegistrationAotContribution a, BeanRegistrationAotContribution b)`
Create a contribution that applies the contribution of the first contribution followed by the second contribution.